RLE_SPRITE(3)

NAME
RLE_SPRITE - Stores the contents of an RLE sprite. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

typedef struct RLE_SPRITE

DESCRIPTION
   int w, h;           - width and height in pixels
   int color_depth;    - color depth of the image

RLE sprites store the image in a simple run-length encoded format, where repeated zero pixels are replaced by a single length count, and strings of non-zero pixels are preceded by a counter giving the length of the solid run. Read chapter "RLE sprites" for a description of the restrictions and how to obtain/use this structure.

SEE ALSO
get_rle_sprite(3), BITMAP(3), COMPILED_SPRITE(3)